gmp_pow
gmp_prob_prime
GMP Functions
PHP Manual

# gmp_powm

(PHP 4 >= 4.0.4, PHP 5)

gmp_powm — Raise number into power with modulo

### Description

resource gmp_powm ( resource `$base` , resource `$exp` , resource `$mod` )

Calculate (`base` raised into power `exp` ) modulo `mod` . If `exp` is negative, result is undefined.

### Parameters

`base`

  The base number.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`exp`

  The positive power to raise the `base` .

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`mod`

  The modulo.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

The new (raised) number, as a GMP number.

### Examples

Example #1 gmp_powm() example

`<?php
$pow1 = gmp_powm("2", "31", "2147483649");
echo gmp_strval($pow1) . "\n";
?>`

The above example will output:

    2147483648

gmp_pow
gmp_prob_prime
GMP Functions
PHP Manual